/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'girl'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9858, function(sym, e) {
         sym.play("head");

      });
      //Edge binding end

   })("girl");
   //Edge symbol end:'girl'

   //=========================================================
   
   //Edge symbol: 'mom'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 11640, function(sym, e) {
         sym.play("head");

      });
      //Edge binding end

   })("mom");
   //Edge symbol end:'mom'

   //=========================================================
   
   //Edge symbol: 'Shopkeeper'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 11410, function(sym, e) {
         sym.play("head");

      });
      //Edge binding end

   })("Shopkeeper");
   //Edge symbol end:'Shopkeeper'

   //=========================================================
   
   //Edge symbol: 'girl_head'
   (function(symbolName) {   
   
   })("girl_head");
   //Edge symbol end:'girl_head'

   //=========================================================
   
   //Edge symbol: 'girl_eyes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6790, function(sym, e) {
         sym.play("eyes");

      });
      //Edge binding end

   })("girl_eyes");
   //Edge symbol end:'girl_eyes'

   //=========================================================
   
   //Edge symbol: 'mom_head'
   (function(symbolName) {   
   
   })("mom_head");
   //Edge symbol end:'mom_head'

   //=========================================================
   
   //Edge symbol: 'mom_eyes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6680, function(sym, e) {
         sym.play("eyes");

      });
      //Edge binding end

   })("mom_eyes");
   //Edge symbol end:'mom_eyes'

   //=========================================================
   
   //Edge symbol: 'shopkeeper_head'
   (function(symbolName) {   
   
   })("shopkeeper_head");
   //Edge symbol end:'shopkeeper_head'

   //=========================================================
   
   //Edge symbol: 'shopkeeper_eyes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8050, function(sym, e) {
         sym.play("eyes");

      });
      //Edge binding end

   })("shopkeeper_eyes");
   //Edge symbol end:'shopkeeper_eyes'

})(jQuery, AdobeEdge, "EDGE-94063035");